/**
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:<br>
 * BitCtrl Systems GmbH<br>
 * Weißenfelser Straße 67<br>
 * 04229 Leipzig<br>
 * Phone: +49 341-490670<br>
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.emailfaxsms;

import java.util.LinkedList;

import org.junit.Test;

import de.bsvrz.kex.emailfaxsms.email.smtp.KexEmailSender;

/**
 *  Testet den Email Versand
 *  
 * @author BitCtrl Systems GmbH, Bachraty
 *
 */
public class KexEmailSenderTester extends KexEmailSender {

	/**
	 *  Parameter
	 */
	static final String TEST_MAIL_SERVER = "bitctrlserver01";
	static final String TEST_BENUTZER = "bachraty";
	static final String TEST_PASWORT = "bachraty";
	static final String TEST_EMPFAENGER = "<bachraty@bitctrl.de>";
	
	/**
	 * Konstruktor
	 * 
	 * @param mailServer Addresse des EmailServers
	 * @param user Username
	 * @param passwort Passwort
	 * @param authReq true, wenn Authentifizierung benoetigt ist
	 * @param starttls true, wenn man den TLS Protokol benutzen soll
	 */
	public KexEmailSenderTester(String mailServer, String user,
			String passwort, boolean authReq, boolean starttls) {
		super(mailServer, user, passwort, authReq, starttls);
	}

	/**
	 * Standardkonstruktor
	 * @throws Exception
	 */
	public KexEmailSenderTester() throws Exception {
		super(TEST_MAIL_SERVER, TEST_BENUTZER, TEST_PASWORT, true, true);
	}
	
	/**
	 * Der Test
	 * @throws Exception
	 */
	public void testVersand() throws Exception {
		send("Test Absender <absender@test.ab>", "Test Betreff", "Test Text", TEST_EMPFAENGER, new LinkedList<String>(), new LinkedList<String>());		
	}

	/**
	 * TestMethode
	 */
	@Test
	public void test() {
		try {
			dEBUG = true;
			KexEmailSenderTester sender = new KexEmailSenderTester();
			sender.testVersand();
		} catch (Exception e) {
			System.err.println(e.getMessage());
		}
	}
}
